For the complete documentation index, see llms.txt. This page is also available as Markdown.

Handovers Configuration (Operations)

Endpoints to create, update, and read handover configuration.

Get handover config

get

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Returns the handover configuration for the tenant

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Handover configuration was found & you were allowed to access it. The result is in the body.

application/json

HandoverConfiguration

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
createStandaloneHandoverJobsbooleanOptionalDeprecated

This part of the API is deprecated. For details, see the API release lifecycle documentation.

If true, a handover job will be created out of a valid routing plan. It is only possible, if no pickjob nor pack jobs are used for this tenant. This is a alpha feature and might be completely replaced in the future. Please only use in communication with the fulfillmenttools team.

Example: true
get/api/configurations/handover
GET /api/configurations/handover HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "additionalItems": {
    "active": false
  },
  "availableRefusedReasons": [
    {
      "refusedReasonLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "active": true,
      "refusedReason": "Broken Item"
    }
  ],
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42
}

Update handover configuration

put

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Updates the handover configuration for the tenant. If the configuration does not exist, it will be created.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

HandoverConfigurationForCreate

createStandaloneHandoverJobsbooleanOptionalDeprecated

This part of the API is deprecated. For details, see the API release lifecycle documentation.

If true, a handover job will be created out of a valid routing plan. It is only possible, if no pickjob nor packjobs are used for this tenant. This is a alpha feature and might be completly replaced in the future. Please only use in communication with the FFT team.

Example: true
versionnumberRequired
Responses
200

The handover configuration was successfully updated.

application/json

HandoverConfiguration

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
createStandaloneHandoverJobsbooleanOptionalDeprecated

This part of the API is deprecated. For details, see the API release lifecycle documentation.

If true, a handover job will be created out of a valid routing plan. It is only possible, if no pickjob nor pack jobs are used for this tenant. This is a alpha feature and might be completely replaced in the future. Please only use in communication with the fulfillmenttools team.

Example: true
put/api/configurations/handover
PUT /api/configurations/handover HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "additionalItems": {
    "active": false
  },
  "availableRefusedReasons": [
    {
      "refusedReasonLocalized": "{ en_US: 'SomeName' }",
      "active": true
    }
  ],
  "version": 1
}
{
  "additionalItems": {
    "active": false
  },
  "availableRefusedReasons": [
    {
      "refusedReasonLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "active": true,
      "refusedReason": "Broken Item"
    }
  ],
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42
}

List refuse reasons

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Existing refuse reasons

application/json

AvailableRefusedReason

activebooleanRequired
refusedReasonstringOptional

translated refusedReason selected from refusedReasonLocalized

Example: Broken Item
get/api/configurations/handover/refusereasons
GET /api/configurations/handover/refusereasons HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "refusedReasonLocalized": {
      "de_DE": "Wert",
      "en_US": "Value",
      "ru_RU": "значение"
    },
    "active": true,
    "refusedReason": "Broken Item"
  }
]

Get handover jobs tag config

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

handoverJob tag config is in response body.

application/json

HandoverJobTagConfiguration

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
get/api/configurations/tags/handoverjob
GET /api/configurations/tags/handoverjob HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "stickerConfiguration": {
    "offeredStickersByTag": [
      {
        "matchingValues": [
          "text"
        ],
        "stickers": [],
        "tagRef": "text"
      }
    ]
  },
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42,
  "offeredDocumentsByDefault": [
    {
      "documentCategory": "EXTERNAL"
    }
  ],
  "offeredDocumentsPerTag": [
    {
      "matchingValues": [
        "text"
      ],
      "offeredDocuments": [
        {
          "documentCategory": "EXTERNAL"
        }
      ],
      "tagRef": "text"
    }
  ]
}

Update handover jobs tag config

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

HandoverJobTagConfiguration

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
Responses
200

The handoverjob tag configuration was successfully updated.

application/json

HandoverJobTagConfiguration

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
put/api/configurations/tags/handoverjob
PUT /api/configurations/tags/handoverjob HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 387

{
  "stickerConfiguration": {
    "offeredStickersByTag": [
      {
        "matchingValues": [
          "text"
        ],
        "stickers": [],
        "tagRef": "text"
      }
    ]
  },
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42,
  "offeredDocumentsByDefault": [
    {
      "documentCategory": "EXTERNAL"
    }
  ],
  "offeredDocumentsPerTag": [
    {
      "matchingValues": [
        "text"
      ],
      "offeredDocuments": [
        {
          "documentCategory": "EXTERNAL"
        }
      ],
      "tagRef": "text"
    }
  ]
}
{
  "stickerConfiguration": {
    "offeredStickersByTag": [
      {
        "matchingValues": [
          "text"
        ],
        "stickers": [],
        "tagRef": "text"
      }
    ]
  },
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42,
  "offeredDocumentsByDefault": [
    {
      "documentCategory": "EXTERNAL"
    }
  ],
  "offeredDocumentsPerTag": [
    {
      "matchingValues": [
        "text"
      ],
      "offeredDocuments": [
        {
          "documentCategory": "EXTERNAL"
        }
      ],
      "tagRef": "text"
    }
  ]
}

Last updated

Was this helpful?